﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;
@using Portal.Models.SourceListMaintenance;

@{
    List<SupplierICS> listSupp = (List<SupplierICS>)ViewData["SupplierGridLookup"];    
    
}

<script type = "text/javascript" >
    var a = [];
    @foreach (SupplierICS sup in listSupp)
    {
        <text>var obj = new Object();</text>
        <text>obj.SUPP_CD = '@sup.SUPP_CD' </text>
        <text>obj.SUPP_NAME = '@sup.SUPP_NAME'  </text>
        <text>a.push(obj)</text>
    }
    var matNo = "";
    var matDesc = "";
    var suppCd = "";
    var suppName = "";
    function ChangeTextBoxValueSupplier(s, e) {
       
        AddNewSuppName.SetText(s.GetValue());
    }
        function OnLookUpClick(s, e) {
            console.log('cus ' + AddNewMaterialNo.GetValue().split("|")[0]);
            matNo = AddNewMaterialNo.GetValue().split("|")[0];
            matDesc = AddNewMaterialNo.GetValue().split("|")[1];
            AddNewMaterialNo.SetText(matNo);
            AddNewMatDesc.SetText(matDesc);
        
        }

        function OnLookUpClickTwo(s, e) {
            
            suppCd = AddEditSupplierCd.GetValue().split("|")[0];
            suppName = AddEditSupplierCd.GetValue().split("|")[1];
            AddEditSupplierCd.SetText(suppCd);
            AddNewSuppName.SetText(suppName);
        }

        $(document).ready(function () {
            

            $(document).on("click", "#btnCancelAddNewMaterialNo", ResetAddForm);
        });

        function ResetAddForm() {
            AddNewMaterialNo.SetValue('');
            AddNewMatDesc.SetValue('');
           
            OnCBLSelectedIndexChanged();
        }
        function OnCBLSelectedIndexChanged(s, e) {
            s.UnselectAll();
            if (e.isSelected)
                s.SetSelectedIndex(e.index);
            else
                s.UnselectIndices(e.index);
        }


       
</script>


<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 5px; width:750px">
<table style="width:100%;">
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Material No";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "AddNewMaterialNo";
                    gridLookup.Width = 170;
                    gridLookup.GridProperties.KeyFieldName = "materialLookup";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SourceListMaintenance", Action = "PartialMatNoGridLookupAdd" };
                    //gridLookup.GridProperties.ClientSideEvents.RowClick = "OnLookUpClick";
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Style.Add("border-color", "red");

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "MAT_NO";
                        column.FieldName = "MAT_NO";
                        column.Caption = "Material Number";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "MAT_DESC";
                        column.FieldName = "MAT_DESC";
                        column.Caption = "Material<br />Description";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                    });
                    gridLookup.ButtonClick = "OnLookUpClick";
                }).Bind(ViewData["MatNoGridLookup"]).GetHtml()
        </td>
        <td style="width:1000px;"></td>

        <td style="width:150px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Supplier Code";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
             @Html.Common().DevExpress().GridLookup(
                       gridLookup =>
                            {
                           gridLookup.Name = "AddEditSupplierCd";
                           gridLookup.Width = 170;
                           gridLookup.GridProperties.KeyFieldName = "suppLookUp";
                           gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SourceListMaintenance", Action = "LookUpSupplierCode" };
                           gridLookup.ReadOnly = true;
                           gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                          

                           gridLookup.GridProperties.Columns.Add(
                           column =>
                           {
                               column.Name = "SUPP_CD";
                               column.FieldName = "SUPP_CD";
                               column.Caption = "Supplier<br/>Code";
                               column.Width = Unit.Pixel(80);
                               column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                           });

                             gridLookup.GridProperties.Columns.Add(column =>
                           {
                               column.Name = "SUPP_NAME";
                               column.FieldName = "SUPP_NAME";
                               column.Caption = "Vendor<br />Name";
                               column.Width = Unit.Pixel(500);
                               column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                           });
                             gridLookup.ButtonClick = "OnLookUpClickTwo";
                      }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
        <td style="width:1200px;"></td>
    </tr>
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Source Type";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().ComboBox(
            cmb =>
            {
                cmb.Name = "AddNewSourceType";
                cmb.Width = 170;
                cmb.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                cmb.Properties.DropDownStyle = DropDownStyle.DropDownList;
                cmb.Properties.TextField = "SOURCE_NAMEE";
                cmb.Properties.ValueField = "SOURCE_TYPE";
                cmb.Style.Add("border-color", "red");
            }).BindList(ViewData["SourceTypeCmb"]).GetHtml()
        </td>
        <td style="width:auto;"></td>

        <td style="width:100px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier Name";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "AddNewSuppName";
                    edtSettings.Width = 170;
                    edtSettings.Properties.MaxLength = 40;
                    edtSettings.ReadOnly = true;
                    edtSettings.ClientEnabled = false;
                    edtSettings.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                }).GetHtml()
        </td>
        
    </tr>
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Prod Purpose";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().ComboBox(
            cmb =>
            {

                cmb.Name = "AddNewProdPurpose";
                cmb.Width = 170;
                cmb.Style.Add("border-color", "red");
                cmb.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                cmb.Properties.DropDownStyle = DropDownStyle.DropDownList;
                cmb.Properties.TextField = "PROD_PURPOSE_CD";
                cmb.Properties.ValueField = "PROD_PURPOSE_CD";

            }).BindList(ViewData["ProdPurposeCmb"]).GetHtml()
        </td>
        <td style="width:auto;"></td>

        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Valid From";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "AddNewValidFrom";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Width = 170;
                    edtSettings.Style.Add("border-color", "red");
                    edtSettings.Properties.ClientSideEvents.Init = @"
                        function OnInit(s, e) {
                            var calendar = s.GetCalendar();
                            calendar.owner = s;
                            calendar.SetVisible(false);                                               
                        }";
                    edtSettings.Properties.ClientSideEvents.DateChanged = @"
                        function OnChanged(s,e) {
                           //alert(AddNewValidFrom.GetValue());

                        }";
                    edtSettings.Properties.ClientSideEvents.DropDown = @"
                        function OnDropDown(s, e) {
                            var calendar = s.GetCalendar();
                            var fastNav = calendar.fastNavigation;
                            
                            fastNav.activeView = calendar.GetView(0, 0);
                            fastNav.Prepare();
                            fastNav.GetPopup().popupVerticalAlign = 'Below';
                            fastNav.GetPopup().ShowAtElement(s.GetMainElement())

                            fastNav.OnOkClick = function () {
                                //alert(AddNewValidFrom.GetValue());  

                                var parentDateEdit = this.calendar.owner;
                                var currentDate = new Date(fastNav.activeYear, fastNav.activeMonth, 1);
                                parentDateEdit.SetDate(currentDate);
                                 

                                parentDateEdit.HideDropDown();
                            }

                            fastNav.OnCancelClick = function () {
                                var parentDateEdit = this.calendar.owner;
                                parentDateEdit.HideDropDown();
                            }
                        
                        
                        }";
                    edtSettings.Properties.DropDownButton.Image.Url = "Content/images/cal.png";
                }).GetHtml()
        </td>
        
        
    </tr>
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Part Color Suffix";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "AddNewPartColorSuffix";
                    edtSettings.Width = 170;
                    edtSettings.Style.Add("border-color", "red");
                    edtSettings.Properties.MaxLength = 2;
                }).GetHtml()
        </td>
        <td style="width:auto;"></td>

        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Valid To";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "AddNewValidTo";
                    edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    edtSettings.Properties.EditFormat = EditFormat.Custom;
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.DropDownButton.Image.Url = "Content/images/cal.png";
                    edtSettings.Width = 170;
                    edtSettings.ClientEnabled = false;
                    edtSettings.ReadOnly = true;
                    edtSettings.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                }).GetHtml()
        </td>
    </tr>
    <tr>

        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Material Description";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "AddNewMatDesc";
                    edtSettings.Width = 170;
                    edtSettings.Properties.MaxLength = 40;
                    edtSettings.ClientEnabled = false;
                    edtSettings.ReadOnly = true;
                    edtSettings.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                }).GetHtml()
        </td>

    </tr>
</table>
    </div>

<table>
    <tr>
        <td style="width:90px;">
        @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "Btnsave";
                    edtSetting.Text = "Save";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "onClickBtnSave";
                    //edtSetting.ClientSideEvents.Click = "dummy";
                }
            ).GetHtml()

        </td>

        <td style="width:90px;">
        @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "Btncancel";
                    edtSetting.Text = "Cancel";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "onClickBtnCancel";
                    //edtSetting.ClientSideEvents.Click = "dummy";
                }
            ).GetHtml()
        </td>
        <td style="width:1000px;"></td>
        <td style="width:auto;"></td>
        <td style="width:auto;"></td>
        <td style="width:auto;"></td>
        <td style="width:90px;">
        @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "Btnclose";
                    edtSetting.Text = "Close";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "onClickBtnClose";
                    //edtSetting.ClientSideEvents.Click = "dummy";
                }
            ).GetHtml()
        </td>
    </tr>
</table>

